Name:           mate-emerald
Version:        0.9.5
Release:        %mkrel 1
Summary:        MATE emerald
Group:		Graphical desktop/Mate
License:        GPLv2+
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
#--------------------------------------------
BuildRequires: mate-compiz-devel
#--------------------------------------------
Requires: mate-compiz

%description
Emerald window decoration for Compiz. 

%package devel
Summary: MATE emerald development files
Group: Graphical desktop/Mate

%description devel
Development files for %name


%prep
%setup -q

%build
export LDFLAGS="$LDFLAGS -ldl -lm"
%configure2_5x --disable-static 

%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name} --all-name



%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/emerald
%{_bindir}/emerald-theme-manager

%{_libdir}/emerald/engines/liblegacy.so
%{_libdir}/emerald/engines/libline.so
%{_libdir}/emerald/engines/liboxygen.so
%{_libdir}/emerald/engines/libpixmap.so
%{_libdir}/emerald/engines/libtruglass.so
%{_libdir}/emerald/engines/libvrunner.so
%{_libdir}/emerald/engines/libzootreeves.so

%{_libdir}/libemeraldengine.so.0
%{_libdir}/libemeraldengine.so.0.0.0

%{_datadir}/applications/emerald-theme-manager.desktop
%{_datadir}/emerald/settings.ini
%{_datadir}/emerald/theme/buttons.above.png
%{_datadir}/emerald/theme/buttons.close.png
%{_datadir}/emerald/theme/buttons.glow.png
%{_datadir}/emerald/theme/buttons.help.png
%{_datadir}/emerald/theme/buttons.inactive_glow.png
%{_datadir}/emerald/theme/buttons.max.png
%{_datadir}/emerald/theme/buttons.menu.png
%{_datadir}/emerald/theme/buttons.min.png
%{_datadir}/emerald/theme/buttons.restore.png
%{_datadir}/emerald/theme/buttons.shade.png
%{_datadir}/emerald/theme/buttons.sticky.png
%{_datadir}/emerald/theme/buttons.unabove.png
%{_datadir}/emerald/theme/buttons.unshade.png
%{_datadir}/emerald/theme/buttons.unsticky.png
%{_datadir}/emerald/theme/theme.ini
%{_datadir}/emerald/theme/theme.screenshot.png
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-emerald-theme.png
%{_datadir}/man/man1/emerald-theme-manager.1.bz2
%{_datadir}/man/man1/emerald.1.bz2
%{_datadir}/mime-info/emerald.mime
%{_datadir}/mime/packages/emerald.xml
%{_datadir}/pixmaps/emerald-theme-manager-icon.png

%files devel
%defattr(-,root,root,-)
%{_includedir}/emerald/emerald.h
%{_includedir}/emerald/engine.h
%{_includedir}/emerald/libengine.h
%{_includedir}/emerald/titlebar.h
%{_libdir}/libemeraldengine.so
%{_libdir}/pkgconfig/emeraldengine.pc

%clean
rm -rf  %{buildroot}

%changelog
* Thu May 07 2015 bb <bb> 0.9.5-1pclos2015
- import into plcos
